> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/venue-request-workflow/exercises-for-workflow-chairs/prerequisites.md).

# Prerequisites

All exercises should be practiced on the dev site. For any exercise, you will need to have the following prerequisites set up.

1. Review the documentation [here](/how-to-guides/workflow/how-to-test-your-venue-workflow.md) and create a venue request for the dev site.
2. Instantiate the python client using your dev profile credentials:

```python
import openreview
# API 1 client
dev_client_v1 = openreview.Client(
    baseurl='https://api.dev.openreview.net',
    username=dev_username,
    password=dev_pass
)

# API 2 client
dev_client_v2 = openreview.api.OpenReviewClient(
    baseurl='https://api2.dev.openreview.net',
    username=dev_username,
    password=dev_pass
)
```

5. Recommended: Familiarize yourself with the [Example Workflow](/venue-request-workflow/conferences.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/venue-request-workflow/exercises-for-workflow-chairs/prerequisites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
